Ruby: builtin.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Typedefs | Functions
builtin.h File Reference

Go to the source code of this file.

## Data Structures
struct | rb_builtin_function
struct | builtin_binary

## Macros
#define | RB_BUILTIN_FUNCTION(_i, _name, _fname, _arity, _compiler)
#define | rb_execution_context_t rb_execution_context_t

## Typedefs
typedef struct rb_execution_context_struct | rb_execution_context_t

## Functions
void | rb_load_with_builtin_functions (const char *feature_name, const struct rb_builtin_function *table)
VALUE | rb_vm_lvar_exposed (rb_execution_context_t *ec, int index)

## Macro Definition Documentation

## ◆ RB_BUILTIN_FUNCTION

#define RB_BUILTIN_FUNCTION | ( |  | _i,
|  |  | _name,
|  |  | _fname,
|  |  | _arity,
|  |  | _compiler
| ) |  |

Value:
{\
.name = #_name, \
.func_ptr = (void *)_fname, \
.argc = _arity, \
.index = _i, \
.compiler = _compiler, \
}
argc
int argc
Definition: ruby.c:240

Definition at line 19 of file builtin.h.

## ◆ rb_execution_context_t

#define rb_execution_context_t rb_execution_context_t

Definition at line 31 of file builtin.h.

## Typedef Documentation

## ◆ rb_execution_context_t

typedef struct rb_execution_context_struct rb_execution_context_t

Definition at line 30 of file builtin.h.

## Function Documentation

## ◆ rb_load_with_builtin_functions()

void rb_load_with_builtin_functions | ( | const char * | feature_name,
|  | const struct rb_builtin_function * | table
| ) |  |

Definition at line 36 of file builtin.c.

References rb_vm_struct::builtin_function_table, rb_vm_struct::builtin_inline_index, NULL, rb_bug(), rb_iseq_eval(), and rb_iseq_ibf_load_bytes().

Referenced by Init_builtin_features().

## ◆ rb_vm_lvar_exposed()

VALUE rb_vm_lvar_exposed | ( | rb_execution_context_t * | ec,
|  | int | index
| ) |  |

Definition at line 5617 of file vm_insnhelper.c.

References rb_execution_context_struct::cfp, and rb_control_frame_struct::ep.